# TabPageExtensions

Namespace: **Wisej.Web.Markup**

Assembly: **Wisej.Framework** (4.0.0.0)

Adds [fluent markup](https://learn.microsoft.com/en-us/dotnet/communitytoolkit/maui/markup/markup) extension methods to the [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TabPageExtensions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TabPageExtensions
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) AllowHtml\<TTabPage>(tabPage, value)

Sets the AllowHtml property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the AllowHtml property.                                                             |
| **value**    | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                    | A boolean indicating whether HTML is allowed in the tab page.                                                     |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated AllowHtml property.

This method allows you to enable or disable HTML content in the tab page.

```csharp

myTabPage.AllowHtml(true);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) CharacterCasing\<TTabPage>(tabPage, casing)

Sets the CharacterCasing property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the CharacterCasing property.                                                       |
| **casing**   | [CharacterCasing](/api/wisej.web/editors/wisej.web.charactercasing.md)             | The [CharacterCasing](#charactercasing``1) to set for the tab page.                                               |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated CharacterCasing property.

This method allows you to specify the character casing for text in the tab page.

```csharp

myTabPage.CharacterCasing(CharacterCasing.Upper);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) HeaderBackColor\<TTabPage>(tabPage, color)

Sets the HeaderBackColor property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the HeaderBackColor property.                                                       |
| **color**    | [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color)                | The [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color) to set as the header back color.          |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated HeaderBackColor property.

This method allows you to specify the background color of the tab header.

```csharp

myTabPage.HeaderBackColor(Color.Gray);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) HeaderForeColor\<TTabPage>(tabPage, color)

Sets the HeaderForeColor property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the HeaderForeColor property.                                                       |
| **color**    | [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color)                | The [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color) to set as the header fore color.          |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated HeaderForeColor property.

This method allows you to specify the foreground color of the tab header.

```csharp

myTabPage.HeaderForeColor(Color.Black);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) Hidden\<TTabPage>(tabPage, value)

Sets the Hidden property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the Hidden property.                                                                |
| **value**    | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                    | A boolean indicating whether the tab page is hidden.                                                              |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated Hidden property.

This method allows you to hide or show the tab page.

```csharp

myTabPage.Hidden(true);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) ShowInVisibilityMenu\<TTabPage>(tabPage, value)

Sets the ShowInVisibilityMenu property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the ShowInVisibilityMenu property.                                                  |
| **value**    | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                    | A boolean indicating whether the tab page is shown in the visibility menu.                                        |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated ShowInVisibilityMenu property.

This method allows you to control whether the tab page appears in a visibility menu.

```csharp

myTabPage.ShowInVisibilityMenu(true);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) TabBackColor\<TTabPage>(tabPage, color)

Sets the TabBackColor property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the TabBackColor property.                                                          |
| **color**    | [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color)                | The [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color) to set as the tab back color.             |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated TabBackColor property.

This method allows you to specify the background color of the tab.

```csharp

myTabPage.TabBackColor(Color.Blue);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) TabForeColor\<TTabPage>(tabPage, color)

Sets the TabForeColor property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the TabForeColor property.                                                          |
| **color**    | [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color)                | The [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color) to set as the tab fore color.             |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated TabForeColor property.

This method allows you to specify the foreground color of the tab.

```csharp

myTabPage.TabForeColor(Color.White);

```

### ![](/files/lIX317sDtMTZJBi9oSIx) UseMnemonic\<TTabPage>(tabPage, value)

Sets the UseMnemonic property of the specified [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md).

| Parameter    | Type                                                                               | Description                                                                                                       |
| ------------ | ---------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **TTabPage** |                                                                                    | The type of the tab page, must inherit from [TabPage](/api/wisej.web/containers/tabcontrol/wisej.web.tabpage.md). |
| **tabPage**  | [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md) | The tab page for which to set the UseMnemonic property.                                                           |
| **value**    | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                    | A boolean indicating whether mnemonic characters are used.                                                        |

**Returns:** [TTabPage](/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md). The modified tab page with the updated UseMnemonic property.

This method allows you to enable or disable the use of mnemonic characters in the tab page.

```csharp

myTabPage.UseMnemonic(true);

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.markup/extensions/wisej.web.markup.tabpageextensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
